Bug 543861 - Review Request: perl-CGI-Application-Plugin-ActionDispatch - Adds attribute based support for parsing the PATH_INFO of an HTTP request
Review Request: perl-CGI-Application-Plugin-ActionDispatch - Adds attribute b...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-03 05:58 EST by Emmanuel Seyman
Modified: 2009-12-24 15:44 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.97-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-24 15:39:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-12-03 05:58:00 EST
Spec URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-ActionDispatch/perl-CGI-Application-Plugin-ActionDispatch.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-ActionDispatch/perl-CGI-Application-Plugin-ActionDispatch-0.97-1.fc12.src.rpm
Description:
CGI::Application::Plugin::ActionDispatch adds attribute based support for
parsing the PATH_INFO of the incoming HTTP request. For those who are familiar
with Catalyst, the interface works very similar.
Comment 1 Parag AN(पराग) 2009-12-09 00:52:15 EST
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1863799
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url (sha1sum)
78ba11f0e184d7d76ca8d6e166ea20d9621484dd  CGI-Application-Plugin-ActionDispatch-0.97.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=5, Tests=41,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.32 cusr  0.03 csys =  0.38 CPU)
+ Package perl-CGI-Application-Plugin-ActionDispatch-0.97-1.fc13.noarch =>
Provides: perl(CGI::Application::Plugin::ActionDispatch) = 0.97 perl(CGI::Application::Plugin::ActionDispatch::Attributes) = 0.1
Requires: perl(CGI::Application::Plugin::ActionDispatch::Attributes) perl(Class::Inspector) perl(Data::Dumper) perl(Exporter) perl(attributes) perl(strict)
+ Not a GUI application

Suggestions:
remove following lines from spec as you don't need them
Requires:       perl(CGI::Application)
Requires:       perl(Class::Inspector)

APPROVED.
Comment 2 Emmanuel Seyman 2009-12-09 04:36:30 EST
(In reply to comment #1)
>
> Suggestions:
> remove following lines from spec as you don't need them
> Requires:       perl(CGI::Application)
> Requires:       perl(Class::Inspector)

Done.
Thanks, Parag.

New Package CVS Request
=======================
Package Name: perl-CGI-Application-Plugin-ActionDispatch
Short Description: Adds attribute based support for parsing the PATH_INFO of an HTTP request
Owners: eseyman
Branches: F-11 F-12 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-12-09 12:47:46 EST
cvs done.
Comment 4 Fedora Update System 2009-12-10 04:15:23 EST
perl-CGI-Application-Plugin-ActionDispatch-0.97-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-ActionDispatch-0.97-1.fc12
Comment 5 Fedora Update System 2009-12-10 04:15:29 EST
perl-CGI-Application-Plugin-ActionDispatch-0.97-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-ActionDispatch-0.97-1.fc11
Comment 6 Fedora Update System 2009-12-11 13:14:38 EST
perl-CGI-Application-Plugin-ActionDispatch-0.97-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Plugin-ActionDispatch'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13047
Comment 7 Fedora Update System 2009-12-11 13:20:58 EST
perl-CGI-Application-Plugin-ActionDispatch-0.97-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Plugin-ActionDispatch'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13077
Comment 8 Fedora Update System 2009-12-24 15:39:47 EST
perl-CGI-Application-Plugin-ActionDispatch-0.97-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-12-24 15:44:19 EST
perl-CGI-Application-Plugin-ActionDispatch-0.97-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.